Bug 993579 - net-snmpd crash on time out
net-snmpd crash on time out
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp (Show other bugs)
6.4
Unspecified Linux
urgent Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE Security Team
: ZStream
Depends On: 955511
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 04:33 EDT by Jan Kurik
Modified: 2013-10-02 05:00 EDT (History)
11 users (show)

See Also:
Fixed In Version: net-snmp-5.5-44.el6_4.4
Doc Type: Bug Fix
Doc Text:
* When an AgentX subagent disconnected from the SNMP daemon (snmpd), the daemon did not properly check that there were no active requests queued in the subagent and destroyed the session. Consequently, the session was referenced by snmpd later when processing queued requests and because it was already destroyed, snmpd terminated unexpectedly with a segmentation fault or looped indefinitely. This update adds several checks to prevent the destruction of sessions with active requests, and snmpd no longer crashes in the described scenario.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 10:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 415533 None None None Never

  None (edit)
Description Jan Kurik 2013-08-06 04:33:41 EDT
This bug has been copied from bug #955511 and has been proposed
to be backported to 6.4 z-stream (EUS).
Comment 9 errata-xmlrpc 2013-08-12 10:22:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1150.html

Note You need to log in before you can comment on or make changes to this bug.